@prefix ottt:    <http://spec.ottr.xyz/rottr/0/types#> .
@prefix rdf:     <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix owl:     <http://www.w3.org/2002/07/owl#> .
@prefix ottr:    <http://ns.ottr.xyz/templates#> .
@prefix xsd:     <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs:    <http://www.w3.org/2000/01/rdf-schema#> .
@prefix dc:      <http://purl.org/dc/elements/1.1/> .

<http://candidate.ottr.xyz/owl/atom/ValueRestriction>
      a       ottr:Template ;
      ottr:parameters (
          [ ottr:type ottt:IRI ;
            ottr:variable <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRestriction> ]
          [ ottr:type rdf:Property ;
            ottr:modifier ottr:nonBlank ;
            ottr:variable <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRestrictionType> ]
          [ ottr:type rdf:Property ;
            ottr:variable <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xProperty> ]
          [ ottr:type rdfs:Resource ;
            ottr:variable <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRange>]) ;
      ottr:pattern
              [ ottr:arguments ([ ottr:value <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRestriction>
                          ] [ ottr:value <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRestrictionType>
                          ] [ ottr:value <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRange>
                          ]) ;
                ottr:of <http://candidate.ottr.xyz/rdf/Triple>
              ] ;
      ottr:pattern
              [ ottr:arguments ([ ottr:value <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRestriction>
                          ] [ ottr:value rdf:type
                          ] [ ottr:value owl:Restriction
                          ]) ;
                ottr:of <http://candidate.ottr.xyz/rdf/Triple>
              ] ;
      ottr:pattern
              [ ottr:arguments ([ ottr:value <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xRestriction>
                          ] [ ottr:value owl:onProperty
                          ] [ ottr:value <http://candidate.ottr.xyz/owl/atom/ValueRestriction#xProperty>
                          ]) ;
                ottr:of <http://candidate.ottr.xyz/rdf/Triple>
              ] .
